// ILockUtilServiceInterface.aidl
package com.szipcs.duprivacylock.lock;

// Declare any non-default types here with import statements

interface ILockUtilService {

    boolean isPasswordExist();

    void setPassword(String password);

    boolean isPasswordMatch(String password);

    void clearPassword();

    /**
     * @return new count that user input error password continuously
     */
    int incPasswordErrorCount();

    int getPasswordErrorCount();

    int getAllowPasswordErrorCount();

    void clearPasswordErrorCount();

    /**
     * @return milliseconds remain to enable input, negative or zero means enable now!
     */
    long getEnableInputRemainTime();

    boolean isDrawPatternHideLine();

    boolean isPwdErrorContinuosDisableInput();

    boolean isSetPasswordForgotQuestion();

    long getMaxTryErrorPwdTimes();

    void unlockApp(String pkgName);

    void updateNeedRecheckPassword();
}
